!  Pre2D_salt
!
!   DESCRIPTION
!   Phase shift and split step migration plus interpolation
!
!   USAGE
!     Ph3D_MP < in.H > out.H par=par.P apply_split_step=
!
!%

program Pre2D_salt

  use sep
  use gendown3d_mod

  use Pre2D_salt_ssf_types
  use Pre2D_salt_ssf_mod

  implicit none


  interface 
     subroutine param_Pre2D_salt_ssf(Pre2D_salt_ssf_par)
       use Pre2D_salt_ssf_types
       type (Pre2D_salt_ssf_param_type) Pre2D_salt_ssf_par
     end subroutine param_Pre2D_salt_ssf
  end interface
 

  type (Pre2D_salt_ssf_param_type) Pre2D_salt_ssf_par
  logical slbf_oper,prestack
  integer stat,getch
  external getch
  character(len=128) tag_data,tag_mod

  call initpar()

  tag_data='Image'
  tag_mod='Data'

  call from_param('slbf_oper',slbf_oper,.false.)
  call to_history('slbf_oper',slbf_oper)


    call param_Pre2D_salt_ssf(Pre2D_salt_ssf_par)
    call init_Pre2D_salt_ssf_par(Pre2D_salt_ssf_par)
    call gendown3d_init(verb=.false.,init_down_oper=Pre2D_salt_ssf_init)
   stat=gendown3d(.false.,.false.,tag_mod,tag_data, &
                  Pre2D_salt_ssf_down_oper,Pre2D_salt_ssf_scatter_oper)

  stop	
end program Pre2D_salt
